Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.query
Class ObjectNodeMetaNode

    java.lang.Object
      com.stc.eindex.ejb.query.ValueMetaNode
          com.stc.eindex.ejb.query.ObjectNodeMetaNode

public class ObjectNodeMetaNode
extends ValueMetaNode

The ObjectNodeMetaNode class describes the structure of object nodes (ObjectNode class). An object node contains information about an object, such as control flags, child and parent tags, a list of child objects, and a list of fields.

Field Summary

Fields inherited from class com.stc.eindex.ejb.query.ValueMetaNode
`RCS_ID`

Constructor Summary
`ObjectNodeMetaNode(java.lang.String tag)` Creates a new instance of the ObjectNodeMetaNode class, using the name of the object node tag to find the object node.

Method Summary
`ValueMetaNode[]` | `getChildren()` Retrieves the metadata for the child nodes of the given object node.
`java.lang.String` | `getName()` Retrieves the name of the given object node.
`ValueMetaNode` | `getParent()` Retrieves the parent node of the given object node.
`java.lang.String` | `toString()` Returns a string representation of the given object node.

Methods inherited from class com.stc.eindex.ejb.query.ValueMetaNode
`getAddParentMethod, getClassName, getSourceObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNodeMetaNode

    public ObjectNodeMetaNode(java.lang.String tag)
                       throws QMException

  Creates a new instance of the ObjectNodeMetaNode class, using the name of the object node tag to find the object node.

  Parameters:
    `tag` - The name of the object node tag.
  Throws:
    `QMException` - Thrown if an error occurs while creating the meta node.

Method Detail

### getChildren

    public ValueMetaNode[] getChildren()

  Retrieves the metadata for the child nodes of the given object node.

  Parameters:
    None.

  Specified by:
    `getChildren` in class `ValueMetaNode`
  Returns:
    `ValueMetaNode[]` - An array of metadata for the child nodes.
  Throws:
    None.

### getName

    public java.lang.String getName()

  Retrieves the name of the given object node.

  Parameters:
    None.

  Specified by:
    `getName` in class `ValueMetaNode`
  Returns:
    `String` - The name of the object node.
  Throws:
    None.

### getParent

    public ValueMetaNode getParent()

  Retrieves the parent node of the given object node.

  Parameters:
    None.

  Specified by:
    `getParent` in class `ValueMetaNode`
  Returns:
    `ValueMetaNode` - The parent node.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Returns a string representation of the given object node.

  Parameters:
    None.

  Returns:
    `String` - A string representation of the node.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.